Bug 1651946 (CVE-2018-19198) - CVE-2018-19198 uriparser: Out-of-bounds write via uriComposeQuery* or uriComposeQueryEx* function
Summary: CVE-2018-19198 uriparser: Out-of-bounds write via uriComposeQuery* or uriComp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19198
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1651951 1652002
Blocks: 1651950
TreeView+ depends on / blocked
 
Reported: 2018-11-21 09:40 UTC by Andrej Nemec
Modified: 2019-09-29 15:02 UTC (History)
5 users (show)

Fixed In Version: uriparser 0.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:20:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2280 None None None 2019-08-06 12:35:15 UTC

Description Andrej Nemec 2018-11-21 09:40:22 UTC
An issue was discovered in uriparser before 0.9.0. UriQuery.c allows an out-of-bounds write via a uriComposeQuery* or uriComposeQueryEx* function because the '&' character is mishandled in certain contexts.

References:

https://github.com/uriparser/uriparser/blob/uriparser-0.9.0/ChangeLog

Upstream patch:

https://github.com/uriparser/uriparser/commit/864f5d4c127def386dd5cc926ad96934b297f04e

Comment 1 Andrej Nemec 2018-11-21 09:44:37 UTC
Created uriparser tracking bugs for this issue:

Affects: fedora-all [bug 1651951]

Comment 3 Stefan Cornelius 2018-11-21 11:43:41 UTC
Statement:

This issue affects the versions of uriparser as shipped with Red Hat Enterprise Linux 7.

Comment 5 errata-xmlrpc 2019-08-06 12:35:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2280 https://access.redhat.com/errata/RHSA-2019:2280

Comment 6 Product Security DevOps Team 2019-08-06 19:20:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19198


Note You need to log in before you can comment on or make changes to this bug.